<?php


namespace FiloBlu\Pos\Controller\Adminhtml\Posmode;

class Enable extends \Magento\Backend\App\Action
{

    /**
     * @var \Magento\Store\Model\StoreManagerInterface
     */
    public $kiwiStoreManager;

    /**
     * @var \Magento\Framework\Url
     */
    public $kiwiUrl;

    /**
     * Enable constructor.
     * @param \Magento\Backend\App\Action\Context $context
     * @param \Magento\Store\Model\StoreManagerInterface $kiwiStoreManager
     * @param \Magento\Framework\Url $kiwiUrl
     */
    public function __construct(
        \Magento\Backend\App\Action\Context $context,
        \Magento\Store\Model\StoreManagerInterface $kiwiStoreManager,
        \Magento\Framework\Url $kiwiUrl
    ) {
        $this->kiwiStoreManager = $kiwiStoreManager;
        $this->kiwiUrl = $kiwiUrl;
        parent::__construct($context);
    }

    /**
     * Execute view action
     *
     * @return \Magento\Framework\Controller\ResultInterface
     */
    public function execute()
    {
        $enableRequest = $this->getRequest()->getParam('enable');
        if ($enableRequest == 1) {
            $isGoingToEnable = 1;
        } else {
            $isGoingToEnable = 0;
        }

        $store = $this->kiwiStoreManager->getDefaultStoreView();
        $url = $this->kiwiUrl->setScope($store);
        $redirectUrl = $url->getUrl(
            'posmode/posmode/enable',
            ['_nosid' => true, 'enable' => $isGoingToEnable]
        );

        $this->getResponse()->setRedirect(
            $redirectUrl
        );

        return;
    }
}